<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="generator" content="Docutils 0.21.2: https://docutils.sourceforge.io/" />
<title>Technical implementation topics</title>
<link rel="stylesheet" href="../style.css" type="text/css" />
</head>
<body>
<div class="document" id="technical-implementation-topics">
<span id="topic-internals"></span>
<h1 class="title">Technical implementation topics</h1>

<p id="internals">To access a subtopic, use &quot;hg help internals.{subtopic-name}&quot;</p>
<blockquote>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field"><th class="field-name">bid-merge:</th><td class="field-body">Bid Merge Algorithm</td>
</tr>
<tr class="field"><th class="field-name">bundle2:</th><td class="field-body">Bundle2</td>
</tr>
<tr class="field"><th class="field-name">bundles:</th><td class="field-body">Bundles</td>
</tr>
<tr class="field"><th class="field-name">cbor:</th><td class="field-body">CBOR</td>
</tr>
<tr class="field"><th class="field-name">censor:</th><td class="field-body">Censor</td>
</tr>
<tr class="field"><th class="field-name">changegroups:</th><td class="field-body">Changegroups</td>
</tr>
<tr class="field"><th class="field-name">config:</th><td class="field-body">Config Registrar</td>
</tr>
<tr class="field"><th class="field-name">dirstate-v2:</th><td class="field-body">dirstate-v2 file format</td>
</tr>
<tr class="field"><th class="field-name">extensions:</th><td class="field-body">Extension API</td>
</tr>
<tr class="field"><th class="field-name">mergestate:</th><td class="field-body">Mergestate</td>
</tr>
<tr class="field"><th class="field-name">requirements:</th><td class="field-body">Repository Requirements</td>
</tr>
<tr class="field"><th class="field-name">revlogs:</th><td class="field-body">Revision Logs</td>
</tr>
<tr class="field"><th class="field-name">wireprotocol:</th><td class="field-body">Wire Protocol</td>
</tr>
<tr class="field"><th class="field-name" colspan="2">wireprotocolrpc:</th></tr>
<tr class="field"><td>&nbsp;</td><td class="field-body">Wire Protocol RPC</td>
</tr>
<tr class="field"><th class="field-name">wireprotocolv2:</th><td class="field-body">Wire Protocol Version 2</td>
</tr>
</tbody>
</table>
</blockquote>
</div>
</body>
</html>
